
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在WF4.0中使用IWorkflowInstanceExtension恢复书签 / iVAN</title>

    <meta name="description" content="在WF4.0中使用IWorkflowInstanceExtension恢复书签 在前一篇文章中,我介绍了如何通过使用NativeActivity创建一个异步的活动以及创建书签来暂停工作流的执行.在 WorkflowApplication中使用书签非常的容易,在WorkflowInvoker 和WorkflowServiceHost中呢? 如何使用WorkflowInvoker和WorkflowServiceHost? WorkflowInvoker 和WorkflowServiceHost中都没有ResumeBookmark函数,那我们如何使用它们来恢复书签呢?诀窍就是使I">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在WF4.0中使用IWorkflowInstanceExtension恢复书签</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在前一篇文章中，我介绍了如何通过使用NativeActivity创建一个异步的活动以及创建书签来暂停工作流的执行。在 WorkflowApplication中使用书签非常的容易，在WorkflowInvoker 和WorkflowServiceHost中呢？</p>
<p>如何使用WorkflowInvoker和WorkflowServiceHost？</p>
<p>WorkflowInvoker 和WorkflowServiceHost中都没有ResumeBookmark函数，那我们如何使用它们来恢复书签呢？诀窍就是使IWorkflowInstanceExtension。</p>
<p>使用IWorkflowInstanceExtension</p>
<p>没有基类和接口需要，工作流可以扩展成任何您想要的类型。但是那也意味它们不知道工作流运行时的环境，并且不能对来自工作流调用做出更多的反应。通过实现 IWorkflowInstanceExtension接口，能够做到这些。这个接口有两个方法。其中一个是SetInstance，通过在运行工作流周围的一个封装的对象允许我们完成很多工作。最重要是，这也能让我们恢复书签。</p>
<p>我的工作流扩展基本上是等待活动调用，一旦完成等待一秒钟，恢复书签.A</p>
<p><code>class　MyExtension　:　IWorkflowInstanceExtension<br />
{<br />
　　　 private　WorkflowInstanceProxy　_instance;<br />
　　　　 public　IEnumerable&lt;object&gt;　GetAdditionalExtensions()<br />
　　　　 {<br />
　　　　　　 return　null;<br />
　　　　 }<br />
　　　 public　void　SetInstance(WorkflowInstanceProxy　instance)<br />
　　　 {<br />
　　　　　　 _instance　=　instance;<br />
　　　 }<br />
　　　　 public　void　WaitSome(Bookmark　bookmark)<br />
　　　　 {<br />
　　　　　　　 ThreadPool.QueueUserWorkItem(state　=&gt;<br />
　　　　　　　　 {<br />
　　　　　　　　　　　 Thread.Sleep(1000);<br />
　　　　　　　　　　　 var　ias　=　_instance.BeginResumeBookmark(bookmark,　42,　null,null);<br />
　　　　　　　　　　　 var　result　=　_instance.EndResumeBookmark(ias);<br />
　　　　　　　　　　　 Console.WriteLine("BookmarkResumptionResult:　'{0}'",　result);<br />
　　　　　　　　　 }<br />
);<br />
　 }<br />
}</code></p>
<p>注意 GetAdditionalExtensions()函数返回null，因为我们没有添加额外的扩展。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:36:08</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%8e%a5%e5%8f%a3/" title="接口">接口</a>, <a href="https://www.iamivan.net/tag/%e4%b9%a6%e7%ad%be/" title="书签">书签</a>, <a href="https://www.iamivan.net/tag/%e5%b7%a5%e4%bd%9c%e6%b5%81/" title="工作流">工作流</a>, <a href="https://www.iamivan.net/tag/instance/" title="instance">instance</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在WF4.0中使用IWorkflowInstanceExtension恢复书签的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj7lQNM.html" rel="bookmark">WF4&period;0中四种自定义类型活动</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工作流中的活动就像用户自定义的控件,将许多的功能封装起来用.WF4.0中提供了四种可继承的活动 类:CodeActivity .AsyncCodeActivity.Activity.NativeActivity.这几种活动都有自己使用的适合 场合,正确的使用这些活动将非常有利. 1.CodeActivity WF4.0中的活动是树形结构的,创建叶子活动最简单是方式就是使用CodeActivity ,它的逻辑都放在 一个方法:Execute 里面,这个也是四种活动中最简单的一种.这里用一个简单的自			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxP4WGM.html" rel="bookmark">WF4&period;0中实现子流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工作流服务中,经常会在主流程启用一些子流程.我在审批流程中经常会使用bookmark来暂停流程,这篇文章,将结合bookmark来实现主流程启动子流程. 使用以前的一篇WF4.0自定义持久化中的自定义的持久化.不过数据表中加入了一个字段parentid,用于标识父流程: 下面用一个流程实例为例说明主流程是如何启用子流程,子流程又是如何返回主流程的,主流程如下:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0yNkM.html" rel="bookmark">WF4&period;0中如何实现XAML工作流的动态加载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我接下来还是用一个例子讲解一下如何在WF 4中动态加载xaml工作流的做法吧. 1. 创建自定义的Activity using System; using System. Collections.Generic; using System.Linq; using System.Text; using System.Activities; namespace WorkflowConsole Application1 { public sealed class MyActivity : CodeAc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRYwYBb.html" rel="bookmark">一起谈&period;NET技术，WF4&period;0中如何实现XAML工作流的动态加载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我接下来还是用一个例子讲解一下如何在WF 4中动态加载xaml工作流的做法吧. 1. 创建自定义的Activity using System;using System.Collections.Generic;using System.Linq;using System.Text;using System.Activities; namespace WorkflowConsoleApplication1{ public sealed class MyActivity : CodeActivity			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5A20np.html" rel="bookmark">WF4&period;0实战（二十二）：一个实际生活中状态机的例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是实际生活中的一个状态机的例子:&quot;门&quot;.这个例子是Mebyon Kernow写的,使用状态机对门的状态进行控制,我觉得是学习WF4.0中 状态机的好例子.所以,简单的翻译了他这篇文章.希望对你学习WF4.0的状态机有所帮助.以下是正文.原文是:A practical State Machine example 现在,状态机的活动已经发布在Codeplex上面了(详见:http://wf.codeplex.com/).我找出一个经常使用的例子.用这个例子用来演 示如何使用状态机来控制一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOo3LM.html" rel="bookmark">WF4&period;0 基础篇&lpar;二十九&rpar; WorkflowInspectionServices</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WorkflowInspectionServices 类 WorkflowInspectionServices可以得到流程中的Activity,由于WF4.0的ActivityTree相对复杂,并不是象 WF3.X的结构那样清晰, 在WF4.0中Activitys,Body,Implementation等了Activity属性比效多,要循环Activity 就要做很多判断,这时可以使用WorkflowInspectionServices得到ActivityTree上的所有Activity. Wo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDA5oLb.html" rel="bookmark">WF4&period;0 基础篇&lpar;二十八&rpar; WF调用PowerShell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PowerShell 提供了命令行管理系统的功能,但通常情况下,操作人员要完成某种业务需要多组PowerShell 命令,这样会很烦琐,错误率也比效高.操作人员可以编写powerShell脚本来组织命令,本文将介绍如何使用WF来 组织PowerShell命令,让操作人员只关心具体的命令,在一个可视化的流程设计器中组织命令间的逻辑关系 WF4.0中并没有提供调用powerShell的Activity,但可以使用中 Microsoft.Activities.PowerShell.Dll与 Invok			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKvo8p.html" rel="bookmark">WF4&period;0基础篇 &lpar;二十一&rpar; WorkflowInvoker</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文例子说明 WorkflowInvoker 类名 System.Activitys.WorkflowInvoker 文件 System.Activities.dll 结构说明 继承 Object 是一个 sealed类 override 了 [CacheMetadata方法] 与 [Execute方法] 功能说明 WorkflowApplication与WorkflowInvoker在调用流程上的区别 在WF4.0中,可以使用WorkflowApplication与 WorkflowInvok			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVn9AQz.html" rel="bookmark">WF4&period;0基础篇&lpar;三&rpar; 流程实例WorkflowApplication与设计WF程序的基本原则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过本节,可以初步了解WF程序的特性,为以后的WF类应用开发提供一个初步的感性认识 本文的两个例子 http://files.cnblogs.com/foundation/LoadXamlSample.rar http://files.cnblogs.com/foundation/WorkflowApplicationSample.rar 流程实例WorkflowApplication与设计WF程序的基本原则 流程实例WorkflowApplication 我在[开始使用WF4.0.]中创建一个			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNx4zk.html" rel="bookmark" class="title">Android ApiDemos示例解析&lpar;33&rpar;：App-&amp;amp&semi;gt&semi;Preferences-&amp;amp&semi;gt&semi;Default Values</a>
					<div>
						DefaultValues 介绍了如何在XML中定义Preference的缺省值. &lt;CheckBoxPreference android:key=&quot; default_toggle&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8Rk3b.html" rel="bookmark" class="title">javascript版的日期输入控件</a>
					<div>
						javascript|控件 &lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0 Transitional//EN&quot;&gt;  &lt;HT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLVr8b.html" rel="bookmark" class="title">Dreamweaver MX 2004视频宝典教程&lpar;102&rpar;</a>
					<div>
						dreamweaver|教程 第 102 集:onmouseover事件和onmouseout事件 课程目标:掌握onmouseover/onmouseout事件的作用和使用方法. 课程要点:onmo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boG8jb.html" rel="bookmark" class="title">网站建设之企业抉择 搜索引擎后续挑战</a>
					<div>
						以下是我经过连续一个多月的观察分析结论. 百度放沙盒预测分析:对网站的大量频繁改动,用Google网站管理员工具检测发现太多死链接,许多无用的网页文件没有删除.每天进行频繁的网站全站重新生成.让搜索引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKGXZb.html" rel="bookmark" class="title">WinForm中类似WebForm中的CheckBoxList控件</a>
					<div>
						web|控件 前些天,在.Net技术的论坛里面看到了有个帖子,我好像记得是怎么实现WinForm中类似WebForm中的CheckBoxList控件,我简单的实现了那样的一个控件 首先,你得建立一个控 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB20Ndb.html" rel="bookmark" class="title">Android Launcher AllApp的全部应用列表</a>
					<div>
						今天主要是分析一下Launcher里面的所有应用列表.Android4.0 Launcher的所有应用列表跟2.X比较大的 区别就是多了Widget的显示.下面会详细分析Launcher里面有关所有应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NAv3z.html" rel="bookmark" class="title">C&num;实现A&ast;算法</a>
					<div>
						在游戏开发中,AI的最基本问题之一就是寻路算法或称路径规划算法,在三 年前,我曾实现过 基于&quot;图算法&quot;的最短路径规划算法,然而在游 戏中,我们通常将地图抽象为有单元格构成的矩形,如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6AQ3z.html" rel="bookmark" class="title">excel怎么求平均值的方法</a>
					<div>
						excel怎么求平均值?excel平均值相关的函数有AVERAGEIFS.AVERAGE函数.SUBTOTAL函数.本文以一个综合实例来进一步认识excel怎么求平均值. 如果刚接触excel不久,对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrl4Jp.html" rel="bookmark" class="title">在Word2010中邮件合并时合并到打印机</a>
					<div>
						在Word2010文档中进行邮件合并时,如果确认合并后生成的信函准确无误,并且对所有收件人的信函没有特殊要求,则可以直接合并到打印机(即直接打印合并结果),操作步骤如下所述: 第1步,打开Word20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2y5akz.html" rel="bookmark" class="title">Linux下操作邮件的一些基础命令</a>
					<div>
						  系统提供了用户之间通信的邮件系统,当用户打开终端注册登录时发现系统给出如下信息: 代码如下: you have mail. 这时用户可通过键入mail命令读取信件: 代码如下: $ mail ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw7yBb.html" rel="bookmark" class="title">Mac OS X&sol;Linux系统下怎么清除DNS缓存</a>
					<div>
						  Mac OS X 系统,终端输入: sudo dscacheutil -flushcache Linux系统,终端输入: /etc/init.d/nscd restart Windows 系统,C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBAo8z.html" rel="bookmark" class="title">win8系统下ClearType还原默认设置的方法</a>
					<div>
						  ClearType是由美国微软公司在其视窗操作系统中提供的屏幕亚像素微调字体平滑工具,让Windows字体更加漂亮.其主要是针对LCD液晶显示屏设计,可提高文字的清晰度.基本原理是将显示器的R.G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z52Pb.html" rel="bookmark" class="title">caxa怎么画剖面线&quest;</a>
					<div>
						  caxa怎么画剖面线?         1.运行CAXA二维制图软件,我们以矩形的剖面线填充为例进行详细讲解,首先我们绘制一个封闭的矩形,为什么说是封闭的那,也就是说图形填充时,只有对封闭的图形才 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WjGmb.html" rel="bookmark" class="title">obj-c编程17&colon;键值观察&lpar;KVO&rpar;</a>
					<div>
						    说完了前面一篇KVC,不能不说说它的应用KVO(Key-Value Observing)喽.KVO类似于ruby里的hook功能,就是当一个对象属性发生变化时,观察者可以跟踪变化,进而观察或是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3xv4p.html" rel="bookmark" class="title">Android实现在TextView文字过长时省略部分或滚动显示的方法&lowbar;Android</a>
					<div>
						本文实例讲述了Android实现在TextView文字过长时省略部分或滚动显示的方法.分享给大家供大家参考,具体如下: TextView中有个ellipsize属性,作用是当文字过长时,该控件该如何显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPZvAp.html" rel="bookmark" class="title">我为什么劝你放弃个人代码所有权？</a>
					<div>
						编码是一种艺术形式,艺术家们非常重视他们的作品.这种发自内心的依恋让程序员们充满激情.这可能是件好事,但也可能导致问题. 除非整个开发组织只有一两个开发人员,否则在意个人的代码所有权是一种病态的行为. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3OoJz.html" rel="bookmark" class="title">PostgreSQL SQL 语言：性能提示</a>
					<div>
						本文档为PostgreSQL 9.6.0文档,本转载已得到原译者彭煜玮授权. 1. 使用EXPLAIN PostgreSQL为每个收到查询产生一个查询计划. 选择正确的计划来匹配查询结构和数据的属性对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVe96b.html" rel="bookmark" class="title">为了不在直播中看到少儿不宜的景象，阿里做了这些</a>
					<div>
						       直播作为近来新兴的互动形态和今年阿里巴巴双十一的一大亮点,其内容风险监控是一个全新的课题,技术的挑战非常大,管控难点主要包括业界缺乏成熟方案和标准.主播行为.直播内容不可控.峰值期间数千 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo8qBb.html" rel="bookmark" class="title">jQuery操作DOM元素</a>
					<div>
						原文:jQuery操作DOM元素 jQuery操作DOM元素 HTML DOM常见操作: 查找节点,插入节点,删除节点,复制节点,替换节点,包裹节点.   查找节点 关于节点的查找,是利用选择器完成的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxoRvb.html" rel="bookmark" class="title">全方位对比Mesos、Omega和Borg</a>
					<div>
						谷歌最近公布了他们基础设施系统王冠上的宝石之一:Borg,集群调度系统.这促使我重新阅读了Mesos和Omega论文,它们与Borg的功能类似.我觉得对比下这三个系统一定会非常有趣.Mesos两级调度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7352z.html" rel="bookmark" class="title">c&plus;&plus; 指针-c&plus;&plus; 请求帮忙修改一下程序 多谢！</a>
					<div>
						问题描述 c++ 请求帮忙修改一下程序 多谢! 程序要实现 通过上下键能翻行 左右键翻页 程序不知哪里错了不能实现这个功能 请帮忙修改一下 多谢! #include #include #include ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z402JLz.html" rel="bookmark" class="title">Recruiting for &period;NET</a>
					<div>
						问题描述 大家好,我是CyberDis公司的HR,我们公司急需招聘.NET程序员(资深程序员1名,高级程序员1名).请有意者给hr@cyberdis.com发邮件.具体招聘信息请登陆http://ww ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK0Eqb.html" rel="bookmark" class="title">javascript获取当前鼠标坐标的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了javascript获取当前鼠标坐标的方法.分享给大家供大家参考.具体实现方法如下: 对于javascript获取当前鼠标坐标来说,得对不同浏览器的坐标位置有所了解.具体代码如下: 复制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq2VWb.html" rel="bookmark" class="title">农商行在信息安全方面面临的挑战</a>
					<div>
						本文讲的是农商行在信息安全方面面临的挑战,经济社会发展对信息化的要求和依赖程度越来越高,面临激烈的竞争,包括物联网.云计算在内的信息技术迅猛发展,不仅极大加速全球化进程,而且正在飞速改变金融行业的发展 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b229vVb.html" rel="bookmark" class="title">MQ 操作的问题</a>
					<div>
						问题描述 请问下使用MQ读取后,怎么取到成功/失败的返回状态呢?在写入MQ对队时,怎么判断对队中消息已满了,不能进行写入了?怎么判断MQ对队中的消息已经存在了? 解决方案 解决方案二:求解??解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye8ZvM.html" rel="bookmark" class="title">file&period;createnewfile&lpar;&rpar;-File类创建文件的疑惑</a>
					<div>
						问题描述 File类创建文件的疑惑 由file.createNewFile();创建的.xls文件,作为参数执行 Workbook wb = Workbook.getWorkbook(file) 时w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RKRWz.html" rel="bookmark" class="title">jdbc连接sql报错</a>
					<div>
						问题描述 环境是XP系统,已经安装SP4补丁,3个包已经放在/lib下,sql2000的登录模式是混合登录,用户名和密码均为&quot;sa&quot;,驱动数据库没有报错,连接数据库却不行,具体代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLaZnM.html" rel="bookmark" class="title">Linux下按照时间和大小生成新文件的程序流程及其C代码实现</a>
					<div>
						一.概述 在实际的软件开发项目中,会出现按照时间和大小生成新文件的需求.例如,某软件需求的描述如下: 按照如下两个条件之一生成新的文件: 第一,新的一天到来. 第二,文件的大小超过阈值. 本文详细介绍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/zeoJQwM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny8zNDYzMjEvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/zeoJQwM.html" rel="bookmark" class="title">大数据：大机遇还是大忽悠？</a>
					<div>
						       &quot;大数据&quot;似乎在一夜之间闯入了任何一个关于互联网未来的讨论,成为一个炙手可热无所不包的概念.但它是否真如许多IT行家们所言,将成为信息技术领域又一片蕴藏无限潜能的处女 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKBPAM.html" rel="bookmark" class="title">珠海男子用他人身份证进网吧被拘十天</a>
					<div>
						据广州日报报道 广东珠海居民符某做梦也没想到,&quot;只不过&quot;是用一张捡来的身份证登记进网吧,最终却换来10天的行政拘留. 近日,珠海市公安局香洲分局网监大队联合派出所在一网吧检查时,发 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
